Query Investor Operation History
Query completed subscription and redemption history for a specific investor in a specific portfolio.
HTTP Request
GET /sapi/v1/vip/fund-info/fund-investor-his-info
Weight(UID)
30000
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| portfolioId | STRING | YES | CC portfolio ID |
| investorCcId | LONG | YES | Investor's CC ID (6-digit) |
| RecvWindow | LONG | NO | No more than 60000 |
| timestamp | LONG | YES |
Response
| Field | Type | Description |
|---|---|---|
| portfolioId | String | CC portfolio ID |
| fundName | String | Portfolio name |
| investorSubscriptions | List | Completed subscriptions |
| investorSubscriptions > date | Long | Subscription date (timestamp) |
| investorSubscriptions > subscriptionAmt | String | Amount subscribed |
| investorSubscriptions > status | String | Request status: DONE |
| investorSubscriptions > result | String | Transfer result: SUCCESS / FAILED |
| investorRedemptions | List | Completed redemptions |
| investorRedemptions > date | Long | Redemption date (timestamp) |
| investorRedemptions > redemptionUnits | String | Units redeemed |
| investorRedemptions > redemptionAmt | String | Amount redeemed |
| investorRedemptions > status | String | Request status: DONE |
| investorRedemptions > result | String | Transfer result: SUCCESS / FAILED |
Example Response
{
"portfolioId": "CC00876646",
"fundName": "Apolloplan Alpha Investment Fund",
"investorSubscriptions": [
{
"date": 1711584000000,
"subscriptionAmt": "100000.00000000",
"status": "DONE",
"result": "SUCCESS"
}
],
"investorRedemptions": [
{
"date": 1711670400000,
"redemptionUnits": "50000.00000000",
"redemptionAmt": "52615.00000000",
"status": "DONE",
"result": "SUCCESS"
}
]
}